/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
 
package hotlava.proxy;

import java.io.*;
import java.net.*;
import java.util.Properties;

/**
 * The Polluter
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public class Polluter extends Proxylet
{
	protected PrintStream debug;
	protected String userAgent;
	protected String referer;

	public void debug(PrintStream out) { debug = out; }

	public Polluter()
	{
		userAgent = "";
		referer = "";
	}

	public Polluter(Proxylet p)
	{
		this();
		setNext(p);
	}

    public void
	init(Properties p)
		throws ProxyletException
	{
		userAgent = p.getProperty("hotlava.proxy.Polluter.userAgent", "Mozilla/2.0b5 (Macintosh; I; 68K)");
		referer = p.getProperty("hotlava.proxy.Polluter.referer", "http://ad.doubleclick.com/");
	}

	public void
	handleRequest(hotlava.net.http.Request r, DataOutput os)
		throws IOException, ProxyletException
	{
		r.setHeader("user-agent", userAgent);
		r.setHeader("referer", referer);
		next.handleRequest(r, os);
	}
}
