/*
 * Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
 
package hotlava.proxy;

import java.io.*;
import java.net.*;
import java.util.Properties;

/**
 * The RefererFilter
 * <p>Copyright (C) 1997 Gary Howland (gary@hotlava.com)
 * All rights reserved.
 */
public class RefererFilter
	extends Proxylet
{
	protected PrintStream debug;

	public void debug(PrintStream out) { debug = out; }

	public RefererFilter() {}

	public RefererFilter(Proxylet p)
	{
		setNext(p);
	}

    public void
	init(Properties p)
		throws ProxyletException
	{
	}

	public void
	handleRequest(hotlava.net.http.Request r, DataOutput os)
		throws IOException, ProxyletException
	{
		r.removeHeader("referer");
		next.handleRequest(r, os);
	}
}
